系统概述

Information

This is a professional and WYSIWYG production software with automatic CD/VCD running interface and automatic running program.

It has many functions, which can support a great variety of flash screen and insert picture, sound, HTML, and RTF. There is a media player and RTF reader inside the software which when starting up the interface, it can play the AVI file and display the RTF document. There are many built-in templets in the software, and they can be called and revised as required. It is no matter that you have never used this software, for the AutoRun will lead you to finish the production of automatic running program step by step. If you possess such a software simple to use, you will easily make a glary automatic playing CD in short time now. New in version 3.0: MALabel New object supports many effects, Alpha, Angle, Blur, Gradient Color, Horizontal and Vertical Mirror, Noise, Outline, Shadow, Spray, Texture and more... MALinkLabel New object supports animated effects when the mouse passes over it. it also supports Alpha, Angle, Blur, Gradient Color, Horizontal and Vertical Mirror, Noise, Outline, Shadow, Spray, Texture and more... MALabel and MALinkLabel object also support hint that is a box containing help text that appears for an object when the user moves the mouse pointer over the object and pauses momentarily and support sound that play sound when the user moves the mouse pointer over the object and pauses momentarily.


系统功能

System Functon

This is a professional and WYSIWYG production software with automatic CD/VCD running interface and automatic running program.

It has many functions, which can support a great variety of flash screen and insert picture, sound, HTML, and RTF. There is a media player and RTF reader inside the software which when starting up the interface, it can play the AVI file and display the RTF document. There are many built-in templets in the software, and they can be called and revised as required. It is no matter that you have never used this software, for the AutoRun will lead you to finish the production of automatic running program step by step. If you possess such a software simple to use, you will easily make a glary automatic playing CD in short time now. New in version 3.0: MALabel New object supports many effects, Alpha, Angle, Blur, Gradient Color, Horizontal and Vertical Mirror, Noise, Outline, Shadow, Spray, Texture and more... MALinkLabel New object supports animated effects when the mouse passes over it. it also supports Alpha, Angle, Blur, Gradient Color, Horizontal and Vertical Mirror, Noise, Outline, Shadow, Spray, Texture and more... MALabel and MALinkLabel object also support hint that is a box containing help text that appears for an object when the user moves the mouse pointer over the object and pauses momentarily and support sound that play sound when the user moves the mouse pointer over the object and pauses momentarily.

Function

Setting AutoRunForm Properties

You can configure settings such as the window size and style, and Splash and Backgroud and Agreement and Desik Securaty.

It's supports Label.

b116.bmp (824 Bytes) It's supports Bitmap Button.

S16.bmp (824 Bytes) It's supports ScroolText.

I116.bmp (824 Bytes) It's supports Image.

R116.bmp (824 Bytes) It's supports Rtf.

w116.bmp (824 Bytes) It's supports Html.

It's supports MediaPlayer.

It's supports Avi.

it's supports ALabel.

it's supports ALinkLabel.


AutoRunDesing2

AutoRun Design License agreement

Before you use AutoRun Design software, please read this agreement. You may use this software only as described in this license.

1. SOFTWARE

The capitalized term "Software" used below refers to AutoRun Design, any updates to the software, any supplemental code provided to you by Alleysoft, the user manual, any associated software components, any related media and printed materials, and any "online" or electronic documentation.

2. COPYRIGHT

The Software is copyright 2004-2005, Alleysoft. The Software is licensed, not sold.

3. EVALUATION VERSION

You may use the Software for evaluation purposes without any charge. To use the software for purposes other than evaluation, you must pay the license fee and register your copy of the Software.

4. REGISTERED VERSION

Upon enabling (or installing) the registered copy, you may use the Software on that number of computers for which you have paid a separate license fee, and the primary user of each computer for which you have paid a separate license fee may use the Software on his or her portable computer. You may also make one copy of the Software for backup or archival purposes. Otherwise, you may not copy the registered Software in whole or in part. If the registered copy of the Software is installed on a network server or other storage device, you must purchase a license for each separate computer on which the Software is used. A license for the Software may not be shared by alternating use of the Software between different computers. You may permanently transfer all of your rights to the registered copy of the Software under this license provided you transfer all copies of the Software and the recipient agrees to the terms of this license. All rights not expressly granted under this license are reserved by Alleysoft.

5. DISCLAIMER

THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DAMAGES, INCLUDING INCIDENTAL OR CONSEQUENTIAL DAMAGES, ARISING OUT OF THE USE OF THIS SOFTWARE, WHETHER OR NOT ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. YOU ACKNOWLEDGE THAT YOU HAVE READ THIS LICENSE, UNDERSTAND IT AND AGREE TO BE BOUND BY ITS TERMS.

6. DISTRIBUTION

The Software may be distributed freely in its original unmodified and unregistered form. The distribution has to include all files of its original distribution. Distributors may not charge any money for it.

7. TERMINATION

This license terminates if you fail to comply with its terms and conditions. If your license terminates, you must destroy all copies of the Software you have. The termination of this license does not limit Alleysoft' other rights he may have by law.

If you have any questions about this license agreement, please mail to: support@alleysoft.com

AutoRun Design ?2004-2005 alleysoft


Registering AutoRunDesign2

Registering AutoRun Design

AutoRun Design is available for a free evaluation period. Users who decide to continue using the program must purchase and register the software. If you do not purchase and register your copy of AutoRunDesign within the evaluation period, the program will cease to function. Note that by registering the software, you enable us to improve it and design new features.

Pricing

You can purchase a copy of AutoRun Design for just US $24.

Click to Order Now - Only US $24

Site licenses are also available. To view our current price list, click here.

You can register

  • Online
  • By mail

Special Offers

You can save money when purchasing AutoRun Design bundled with other products you may need. Please visit our online store.

Note

  • All version updates are free to registered users.

Related Topics

  • Enable full version


File Menu Commands

Wizard

Step by Step Create the AutoRun project.

Open

Opens a CD-ROM Base Folder.

Save

Saves the current project file.

Save and Run

Saves the current project file and run the current propject.

Exit

Closes the current project and exits out of AutoRun Design. If there are any unsaved changes in the current project, you will be prompted to save them.


Edit Menu Commands

AutoRunForm Properties

Opens the AutorunForm Properties dialog where you can configure settings such as the window size and style, and Splash and Backgroud and Agreement and Desik Securaty.

Start Action

Open, Execute files, Send Email, Print File or Play sound when AutoRun start.

Object Properties

Set Objects properties.

Click Action

Open or execute files, print documents, send e-mail, visit Web sites, browse CDs, play sound, music and so on, when uses click the objects.

Position

Set Objects Size or Align.

Control

Set the currently selected objects to front or back.

Copy

Copies the currently selected objects to the Windows clipboard. Once on the clipboard, the objects can be pasted to another location.

Paste

Pastes one or more objects from the Windows clipboard to the current page.

Delete

Deletes the currently selected objects.

Select All

Selects all of the objects on AutoRunForm.

Clone

Copy Objects and Paste then Objects to AutoRunForm as same.

Lock

Locks the currently selected objects AutoRunForm. Locking an object renders it completely unselectable. This means you cannot move, resize. Locking an object has no effect on the object at runtime.


Objects

How do I add an object?

Objects can be added to your project from the Object program menu, or by click on object tool and selecting the desired object.

The following objects are available in AutoRunDesign2.0:

  • MLabel

  • MButton

  • MScrollText

  • MRtf

  • MImage

  • MHtml

  • MMediaPlayer

  • MAvi

  • MALabel

  • MALinkLabel


Toolbars

View Menu Commands

Object Inspector

Set the currently selected objects properties;

Objects List

Shows all Objects in AutoRunForm..

Run Explor

Browse the CD-ROM Base Folder.

Run Notepad

Run Notepad.

Run Wordpad

Run Wordpad.

Run Mspaint

Run Mspaint.

Run kodakimg

Run Kondakimg.

Run Sndrec32

Run Sndrec32.


Option Menu Commands

Design Option

  • Setting Design.
  •
  • Normal grabs color
  •
  • Locks grabs color
  •
  • Multi grabs color
  •
  • Grid color
  •
  • Grid step
  •
  • Display Grid
  •
  • Grab handle size
  •
  • Hint color
  •
  • Hint Pause
  •
  • Object Inspector On Top
  •
  • Design Sound


Tools Menu Commands

Standard

Set sandard tool visibel to true or false.

Object

Set object tool visibel to true or false.


Help Menu Commands

AutoRun Design Help

Opens the online help for AutoRun Design.

Technic Support

Send Email to Support@alleysoft.com.

Home Page

Opens the your web browser to the AutoRun Design web site.

What'new

AutoRun Design New Information.

Buy Online

Opens your web browser to a web page where you can order AutoRun Design online.

Enter Registrtion

Registerd the AutoRun Design software.

About

Opens the About dialog which shows the copyright and version information for AutoRun Design. Use this whenever you need to find out what version of the program you currently have.


Step

Using

Step-by-Step

1. Create and Open a CD-ROM Base Folder

The CD-ROM Base Folder is the folder that stores all of your files and folders that you wish to burn to CD. If you have not created this you should do so. Create a folder (for example 'CD_Temp'). Place (use window explorer to copy) all of the files (your file to open, Splash Screen files, Setup files, Image files, AVI, HTML, RTF files etc) you wish to burn to CD into that folder.

Open that folder by pressing the Open button or click main menu -> File -> Open menu item.

2. AutoRunForm Properties.

You can configure settings such as the window size and style, and Splash and Backgroud and Agreement and Desik Securaty.

3. Set Start Action (if need Start Action).

Open, Execute files or Play sound, music when AutoRun start.

4. Add AutoRun Objects (MLabel, MScrollText, MButton, Image, AVI, HTML, RTF, MediaPlayer) to AutoRun Form and set AutoRun Objects properties.

5. Set AutoRun Objects Links (Click Actions).

Open or execute files, print documents, send e-mail, visit Web sites, browse CDs, play sound, music and so on, when uses click the objects.

6. Select CD-ROM Icon

7. Save and Run.

After configuration of your project, you may test it out by pressing the Save and Test button. This will mimic the operation of your CD, and allow you to test your project without burning CDs or Save files and Run the AutoRun.exe file in the CD-ROM Base Folder directly.

9. Burn CD.

Use your CD Burner Software burn all files and sub folders in THE CD-ROM Base Folder to CD.

Be sure the files in root dir of the CD:

autorun.exe

autorun.cd

autorun.inf

autorun.ico

When your CD inserted autorun.exe will be launched and load autorun.cd and show the autorun form.

Use HTML

HTML Object is a built-in Web browser.

Ceate or edit a Web page with your favorite HTML editor - DreamWeaver, FrontPage, Word, HomeSite, Notepad or what ever. Add pictures, animations, scripts, ActiveX, Java Applets, Flash, music, sound, or any other embeddable objects. Add Hyper Links as usual if the URL is pointing to a Web resource. The only new rule in AutorunDesign bult-in web browser you can call internal orders.

By displaying your web page using the HTML object (built-in Web browser), you can use several internal orders within your web page to perform tasks such as launching files, sending E-mails, playing sound and music files, printing files, browsing CDs and closing the autorun. You use these orders in your web page using A HREF links.

For example

<AHREF="ORDER_OPEN=license.txt">View License</A>

Would display "View License" in the window. If clicked, license.txt will open.

<A HREF="ORDER_BROWSECD">Browse the CD-ROM</A>

If clicked, the contents of the CD are displayed using the Windows explorer.

<A HREF="ORDER_EXIT">Click to Quit</A>

If clicked, the autorun will exit.

Built-in browser HTML internal orders

ORDER_OPEN

Open or Execute Files

Syntax: ORDER_OPEN=filename

Examples:

ORDER_OPEN=setup\mysetup.exe

ORDER_OPEN=readme.txt

ORDER_SEND EMAIL

Send Email

Syntax: ORDER_EMAIL=email address

Example:

ORDER_EMAIL=support@alleysoft.com

ORDER_PLAYSOUND

Play sound files

Syntax: ORDER_PLAYSOUND=filename

Examples:

ORDER_PLAYSOUND=sound.wav

ORDER_PLAYSOUND=sound.mid

ORDER_PRINTFILE

Print files

Syntax: ORDER_PRINTFILE=filename

Examples:

ORDER_PRINTFILE=readme.txt

ORDER_PRINTFILE=licence.txt

ORDER_BROWSECD

Browse CDs

ORDER_EXIT

EXIT autorun

Burn CD

AutoRun Design is not a CD Burner software, you can use your own CD Burner software burn all files and sub folders in THE CD-ROM Base Folder to CD.

Be sure the files in root dir of the CD:

autorun.exe

autorun.cd

autorun.inf

autorun.ico

When your CD inserted autorun.exe will be launched and load autorun.cd and show the autorun form.

If your sytem is Windows XP, the Windows XP can Burn CD easily.

The files should be saved (Save and Run) by registered AutoRun Design software.


联系方法

Support

http://www.alleysoft.com

Support@alleysoft.com


移动电话网自动拨测系统

AutoRun Design

http://www.Alleysoft.com